/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.scorm.individuallog;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogGroupProgressResult;
import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogGroupProgressStoreData;
import java.lang.Float;


/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogGroupProgressResultWrap {

	// 画面表示フォーマット（小数点以下第一位）
	public DecimalFormat objAvgFmt1 = new DecimalFormat( "###########0.0" );

	// 画面表示整数フォーマット（６桁）
	public DecimalFormat objIntFmt6 = new DecimalFormat( "###########0" );

	// 得点画面表示用フォーマット（整数部：１０桁、小数部：７桁）
	public DecimalFormat objFmtScore = new DecimalFormat( "#########0.#######" );
	
	public String getDecflActCountby100 (){
		return objIntFmt6.format(result.flActCount * 100);
	}

	public String getStrScoreDeno (){
		return objIntFmt6.format(result.flRecValidCount * 100);
	}

	public String getStrAccessCntAv (){
		if(result.flAccessCountCnt > 0){
			return objAvgFmt1.format(result.flAccessCountCnt / result.flRecValidCount);
		}
		else{
			return "0.00";
		}
	}
	
	public String getStrRegidentCntAv (){
		if(result.dwResidanceTimeCnt > 0){
			return objAvgFmt1.format(result.dwResidanceTimeCnt / result.flRecValidCount);
		}
		else{
			return "0.00";
		}
	}

	public String getStrNewScaledScoreAv (){
		if(result.dwStoreScaledNewScore > 0){
			return objAvgFmt1.format(result.dwStoreScaledNewScore / result.flActCount / result.flRecValidCount);
		}
		else{
			return "0";	
		}
	}

	public String getStrNewScoreAv (){
		if(result.dwStoreNewScore > 0){
			return objAvgFmt1.format(result.dwStoreNewScore / result.flRecValidCount);
		}
		else{
			return "0";	
		}
	}

	public String getStrMaxScaledScoreAv (){
		if(result.dwStoreScaledMaxScore > 0){
			return objAvgFmt1.format(result.dwStoreScaledMaxScore / result.flActCount / result.flRecValidCount);
		}
		else{
			return "0";	
		}
	}

	public String getStrMaxScoreAv (){
		if(result.dwStoreMaxScore > 0){
			return objAvgFmt1.format(result.dwStoreMaxScore / result.flRecValidCount);
		}
		else{
			return "0";	
		}
	}

	public String getStrCompUnitAv (){
		if(result.flUnitComplete > 0){
			return objIntFmt6.format(result.flUnitComplete / result.flActCount / result.flRecValidCount * 100);
		}
		else{
			return "0";	
		}
	}

	public String getStrPassUnitAv (){
		if(result.flUnitPass > 0){
			return objIntFmt6.format(result.flUnitPass / result.flActCount / result.flRecValidCount * 100);
		}
		else{
			return "0";	
		}
	}
	
	public String getDecflAccessCountCnt (){
		return objIntFmt6.format(result.flAccessCountCnt);
	}
	
	public IndividualLogGroupProgressResult result;

	/**
	 * 
	 */
	public IndividualLogGroupProgressResultWrap() {
		result = null;
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return result.result を戻します。
	 */
	public IndividualLogGroupProgressResult getResult() {
		return result;
	}

	/**
	 * @param result result を設定。
	 */
	public void setResult(IndividualLogGroupProgressResult result) {
		this.result = result;
	}

	/**
	 * @return result.dwResidanceTimeCnt を戻します。
	 */
	public double getDwResidanceTimeCnt() {
		return result.dwResidanceTimeCnt;
	}
	/**
	 * @return result.dwStoreMaxScore を戻します。
	 */
	public double getDwStoreMaxScore() {
		return result.dwStoreMaxScore;
	}
	/**
	 * @return result.dwStoreNewScore を戻します。
	 */
	public double getDwStoreNewScore() {
		return result.dwStoreNewScore;
	}
	/**
	 * @return result.dwStoreScaledMaxScore を戻します。
	 */
	public double getDwStoreScaledMaxScore() {
		return result.dwStoreScaledMaxScore;
	}
	/**
	 * @return result.dwStoreScaledNewScore を戻します。
	 */
	public double getDwStoreScaledNewScore() {
		return result.dwStoreScaledNewScore;
	}
	/**
	 * @return result.flAccessCountCnt を戻します。
	 */
	public float getFlAccessCountCnt() {
		return result.flAccessCountCnt;
	}
	/**
	 * @return result.flActCount を戻します。
	 */
	public float getFlActCount() {
		return result.flActCount;
	}
	/**
	 * @return result.flActivitySumCnt を戻します。
	 */
	public float getFlActivitySumCnt() {
		return result.flActivitySumCnt;
	}
	/**
	 * @return result.flRecCount を戻します。
	 */
	public float getFlRecCount() {
		return result.flRecCount;
	}
	/**
	 * @return result.flRecValidCount を戻します。
	 */
	public float getFlRecValidCount() {
		return result.flRecValidCount;
	}
	/**
	 * @return result.flRecValidCountEx を戻します。
	 * add by shioda 2006/1/3
	 */
	public float getFlRecValidCountEx() {
		return result.flRecValidCountEx;
	}
	/**
	 * @return result.flUnitComplete を戻します。
	 */
	public float getFlUnitComplete() {
		return result.flUnitComplete;
	}
	/**
	 * @return result.flUnitPass を戻します。
	 */
	public float getFlUnitPass() {
		return result.flUnitPass;
	}
	/**
	 * @return result.flUserCount を戻します。
	 */
	public float getFlUserCount() {
		return result.flUserCount;
	}
	/**
	 * @return result.strForeignLOID を戻します。
	 */
	public String getStrForeignLOID() {
		return result.strForeignLOID;
	}
	/**
	 * @return result.strGroupForeignId を戻します。
	 */
	public String getStrGroupForeignId() {
		return result.strGroupForeignId;
	}
	/**
	 * @return result.strGroupName を戻します。
	 */
	public String getStrGroupName() {
		return result.strGroupName;
	}
	/**
	 * @return result.strLOID を戻します。
	 */
	public String getStrLOID() {
		return result.strLOID;
	}
	/**
	 * @return result.strLOName を戻します。
	 */
	public String getStrLOName() {
		return result.strLOName;
	}
	/**
	 * @return result.strSectionName を戻します。
	 */
	public String getStrSectionName() {
		return result.strSectionName;
	}
}
